## tcltrf 2.1.4-dfsg3

=== debian/changelog ===
tcltrf (2.1.4-dfsg3-8) unstable; urgency=medium

  * Fix FTBFS on 32-bit architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 05 Mar 2025 17:18:59 +0300

tcltrf (2.1.4-dfsg3-7) unstable; urgency=medium

  * Fix processing --enable-static-* configure options with newer
    autoconf. This fixes segmentation fault in calculation of md5 hash.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 05 Mar 2025 14:40:42 +0300

tcltrf (2.1.4-dfsg3-6) unstable; urgency=medium

  * Fix FTBFS with GCC 15 (closes: #1097973).
  * Mark tcl-trf-doc as multi-arch foreign.
  * Bump standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 04 Mar 2025 20:41:48 +0300

tcltrf (2.1.4-dfsg3-5) unstable; urgency=medium

  * Fix FTBFS with GCC 14 for 32-bit architectures (closes: #1075553).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 28 Jul 2024 19:26:40 +0300

tcltrf (2.1.4-dfsg3-4) unstable; urgency=medium

  * Fix FTBFS with GCC 14 (closes: #1075553).
  * Bump standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 28 Jul 2024 12:21:27 +0300

tcltrf (2.1.4-dfsg3-3) unstable; urgency=medium

  * Fix implicit declaration of the crypt() function (closes: #1065954).
  * Drop doc-base support.
  * Drop unused lintian overrides.
  * Bump the debhelper compatibility level to 13.
  * Bump standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 12 Mar 2024 08:20:59 +0300

tcltrf (2.1.4-dfsg3-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 00:58:12 +0100

tcltrf (2.1.4-dfsg3-2) unstable; urgency=low

  * Completed reimplementing of MD2 hash (configure script still searched for
    the md2.h file). This helps with FTBFS if build using upcoming OpenSSL 1.1.
  * Explicitly specified openssl, zlib and bz2 headers and libs location
    because the configure script couldn't find them without a hint.
  * Bumped standards version to 3.9.8.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 12 Jun 2016 10:28:40 +0300

tcltrf (2.1.4-dfsg3-1) unstable; urgency=low

  * Replaced non-free RIPEMD-128 and RIPEMD-160 implementations by free
    ones, offered by Legimet (closes: #751879).
  * Fixed HAVAL hash calculation for 64-bit architectures.
  * Converted the package to the 3.0 (quilt) source format.
  * Multiarchified the package. Bumped the debhelper compatibility level to 9.
  * Bumped standards version to 3.9.5.
  * Overridden lintian warnings on ancient autotools helper files because
    they aren't used when building the package.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 21 Jun 2014 10:18:06 +0400

tcltrf (2.1.4-dfsg2-1) unstable; urgency=low

  * Removed non-DFSG-free painless-guide-to-crc.txt from the source tarball
    (closes: #688021).
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 26 Aug 2013 11:58:42 +0400

tcltrf (2.1.4-dfsg1-1) unstable; urgency=low

  * Removed non-DFSG-free msvcrt.dll from the source tarball (closes: #685207).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 18 Aug 2012 14:37:06 +0400

tcltrf (2.1.4-dfsg-3) unstable; urgency=low

  * Reimplemented MD2 hash after it was removed from the OpenSSL
    implementation (closes: #664713).
  * Removed conflict of tcl-trf-doc with libtrf-tcl and libtrf-tcl-dev.
  * Added build-arch and build-indep targets to debian/rules (closes: #648491).
  * Added ${misc:Depends} to the dependencies of tcl-trf-doc because of
    debhelper requirement.
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 27 Mar 2012 13:55:30 +0400

tcltrf (2.1.4-dfsg-2) unstable; urgency=low

  * Fixed bug with putting library and documentation files into binary
    packages.
  * Switched to prebuilt docs (closes: #562383).
  * Added README.source which explains how to manage patched sources using
    quilt patch system.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 26 Dec 2009 00:57:59 +0300

tcltrf (2.1.4-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Renamed binary packages to tcl-trf, tcl-trf-dev and tcl-trf-doc to comply
    Debian Tcl/Tk policy.
  * Changed behavior of md5crypt command to retain magic $1$ at the beginning
    of its result.
  * Added README.source where it is described how to apply the series of
    patches to an original taeball.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 03 Nov 2009 11:42:57 +0300

tcltrf (2.1.3-dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Replaced explicit sf.net download server in debian/watch file by sf
    redirector.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 01 Mar 2009 14:09:20 +0300

tcltrf (2.1.3-dfsg-1) experimental; urgency=low

  * Removed non-free code (haval and haval.1996 subdirectories).
  * Mangle debian version in uscan control file.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 22 Dec 2008 18:27:17 +0300

tcltrf (2.1.3-1) experimental; urgency=low

  * New upstream release.
  * Protected quilt invocations to make the source package convertible to
    format 3.0 (quilt) (closes: #484925).
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 21 Dec 2008 14:21:54 +0300

tcltrf (2.1.2~20071113-2) unstable; urgency=low

  * Removed c2man from build-dependencies.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 05 May 2008 00:37:13 +0400

tcltrf (2.1.2~20071113-1) unstable; urgency=low

  * New CVS snapshot with a few bugfixes.
  * Pregenerated C-API manpages and HTML docs to remove build-dependency on
    c2man, which is outdated and subject ro removal from Debian
    (closes: #478650, #478722).
  * Fixed clean target to work with debhelper 7.0 (made dh_clean the last
    command, so debhelper logs are removed now).
  * Bumped standards version to 3.7.3.

