=== debian/control ===
Source: tcltrf
Section: interpreters
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), zlib1g-dev (>= 1:1.2.1), libbz2-dev (>= 1.0.2), libssl-dev, libcrypt-dev, tcl-dev (>= 8.6.0+2)
Standards-Version: 4.7.2
Homepage: http://tcltrf.sourceforge.net/

Package: tcl-trf
Architecture: any
Section: libs
Multi-Arch: same
Depends: libtcl, ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtrf-tcl
Provides: libtrf-tcl
Suggests: tcl-trf-doc
Description: Tcl data transformations - runtime library
 Trf is an extension to Tcl which provides various data
 transformations. The collection of provided transformation
 procedures includes:
  * generation of message digests (hash values, checksums): MD2,
    MD5, SHA/SHS, SHA-1, HAVAL, RIPEMD-128, -160, CRC (polynomial
    used by PGP), Adler (based upon zlib);
  * conversion to and from various data encodings: uuencoding,
    base64-encoding, or ASCII85-encoding, and binary, octal, or
    hexadecimal representation;
  * an error-correcting Reed-Solomon encoder/decoder;
  * compression/decompression based on zlib and libbz2.
 .
 This package contains the runtime library to be used in Tcl programs.

Package: tcl-trf-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: tcl-trf (= ${binary:Version}), tcl-dev, ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtrf-tcl-dev
Provides: libtrf-tcl-dev
Suggests: tcl-trf-doc
Description: Tcl data transformations - development files
 Trf is an extension to Tcl which provides various data
 transformations. The collection of provided transformation
 procedures includes:
  * generation of message digests (hash values, checksums): MD2,
    MD5, SHA/SHS, SHA-1, HAVAL, RIPEMD-128, -160, CRC (polynomial
    used by PGP), Adler (based upon zlib);
  * conversion to and from various data encodings: uuencoding,
    base64-encoding, or ASCII85-encoding, and binary, octal, or
    hexadecimal representation;
  * an error-correcting Reed-Solomon encoder/decoder;
  * compression/decompression based on zlib and libbz2.
 .
 This package contains files to be used for development of C-based
 extensions which use the Trf library.

Package: tcl-trf-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: tcl-trf
Conflicts: libtrf-tcl-doc
Replaces: libtrf-tcl, libtrf-tcl-dev, libtrf-tcl-doc
Provides: libtrf-tcl-doc
Description: Tcl data transformations - documentation
 Trf is an extension to Tcl which provides various data
 transformations. The collection of provided transformation
 procedures includes:
  * generation of message digests (hash values, checksums): MD2,
    MD5, SHA/SHS, SHA-1, HAVAL, RIPEMD-128, -160, CRC (polynomial
    used by PGP), Adler (based upon zlib);
  * conversion to and from various data encodings: uuencoding,
    base64-encoding, or ASCII85-encoding, and binary, octal, or
    hexadecimal representation;
  * an error-correcting Reed-Solomon encoder/decoder;
  * compression/decompression based on zlib and libbz2.
 .
 This package contains manual pages and HTML documentation for Trf commands
 and C-API.
